Freeciv-3.1: generate_packets.Field Class Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Public Member Functions | Data Fields | Private Attributes
generate_packets.Field Class Reference

## Public Member Functions

| __init__ (self, fieldinfo, typeinfo, flaginfo)
| get_dict (self, vars)
| get_handle_type (self)
| get_declar (self)
| get_fill (self)
| get_cmp (self)
| folded_into_head (self)
| get_cmp_wrapper (self, i, pack)
| get_put_wrapper (self, packet, i, deltafragment)
| get_put (self, deltafragment)
| get_put_real (self, deltafragment)
| get_get_wrapper (self, packet, i, deltafragment)
| get_get (self, deltafragment)
| get_get_real (self, deltafragment)

## Data Fields

| is_struct
| dataio_type
| is_array
| struct_type

## Private Attributes

| __dict__

## Detailed Description

Definition at line 205 of file generate_packets.py.

## Constructor & Destructor Documentation

## ◆ __init__()

generate_packets.Field.__init__ | ( |  | self,
|  |  | fieldinfo,
|  |  | typeinfo,
|  |  | flaginfo
| ) |  |

Definition at line 206 of file generate_packets.py.

## Member Function Documentation

## ◆ folded_into_head()

generate_packets.Field.folded_into_head | ( |  | self | ) |

Definition at line 310 of file generate_packets.py.

Referenced by generate_packets.Field.get_cmp_wrapper().

## ◆ get_cmp()

generate_packets.Field.get_cmp | ( |  | self | ) |

Definition at line 260 of file generate_packets.py.

Referenced by generate_packets.Field.get_cmp_wrapper().

## ◆ get_cmp_wrapper()

generate_packets.Field.get_cmp_wrapper | ( |  | self,
|  |  | i,
|  |  | pack
| ) |  |

Definition at line 321 of file generate_packets.py.

## ◆ get_declar()

generate_packets.Field.get_declar | ( |  | self | ) |

Definition at line 229 of file generate_packets.py.

## ◆ get_dict()

generate_packets.Field.get_dict | ( |  | self,
|  |  | vars
| ) |  |

Definition at line 213 of file generate_packets.py.

Referenced by generate_packets.Field.get_cmp(), generate_packets.Field.get_cmp_wrapper(), generate_packets.Variant.get_delta_receive_body(), generate_packets.Variant.get_delta_send_body(), generate_packets.Packet.get_dlsend(), generate_packets.Packet.get_dsend(), generate_packets.Field.get_fill(), generate_packets.Field.get_get_real(), generate_packets.Field.get_get_wrapper(), generate_packets.Field.get_put_real(), generate_packets.Field.get_put_wrapper(), generate_packets.Variant.get_receive(), generate_packets.Variant.get_send(), generate_packets.Packet.get_send(), and generate_packets.Variant.get_stats().

## ◆ get_fill()

generate_packets.Field.get_fill | ( |  | self | ) |

Definition at line 239 of file generate_packets.py.

## ◆ get_get()

generate_packets.Field.get_get | ( |  | self,
|  |  | deltafragment
| ) |  |

Definition at line 591 of file generate_packets.py.

Referenced by generate_packets.Field.get_get_wrapper().

## ◆ get_get_real()

generate_packets.Field.get_get_real | ( |  | self,
|  |  | deltafragment
| ) |  |

Definition at line 599 of file generate_packets.py.

Referenced by generate_packets.Field.get_get().

## ◆ get_get_wrapper()

generate_packets.Field.get_get_wrapper | ( |  | self,
|  |  | packet,
|  |  | i,
|  |  | deltafragment
| ) |  |

Definition at line 574 of file generate_packets.py.

## ◆ get_handle_type()

generate_packets.Field.get_handle_type | ( |  | self | ) |

Definition at line 218 of file generate_packets.py.

## ◆ get_put()

generate_packets.Field.get_put | ( |  | self,
|  |  | deltafragment
| ) |  |

Definition at line 380 of file generate_packets.py.

Referenced by generate_packets.Field.get_put_wrapper().

## ◆ get_put_real()

generate_packets.Field.get_put_real | ( |  | self,
|  |  | deltafragment
| ) |  |

Definition at line 388 of file generate_packets.py.

Referenced by generate_packets.Field.get_put().

## ◆ get_put_wrapper()

generate_packets.Field.get_put_wrapper | ( |  | self,
|  |  | packet,
|  |  | i,
|  |  | deltafragment
| ) |  |

Definition at line 359 of file generate_packets.py.

## Field Documentation

## ◆ __dict__

generate_packets.Field.__dict__

private

Definition at line 256 of file generate_packets.py.

Referenced by generate_packets.Field.__init__(), generate_packets.Variant.get_bitvector(), generate_packets.Field.get_cmp(), generate_packets.Variant.get_cmp(), generate_packets.Field.get_dict(), generate_packets.Variant.get_dict(), generate_packets.Packet.get_dict(), generate_packets.Field.get_fill(), generate_packets.Field.get_get(), generate_packets.Field.get_get_real(), generate_packets.Variant.get_hash(), generate_packets.Packet.get_lsend(), generate_packets.Field.get_put(), generate_packets.Field.get_put_real(), generate_packets.Variant.get_report_part(), generate_packets.Variant.get_reset_part(), and generate_packets.Packet.get_struct().

## ◆ dataio_type

generate_packets.Field.dataio_type

Definition at line 219 of file generate_packets.py.

Referenced by generate_packets.Field.get_cmp(), generate_packets.Field.get_fill(), generate_packets.Field.get_get_real(), and generate_packets.Field.get_put_real().

## ◆ is_array

generate_packets.Field.is_array

Definition at line 230 of file generate_packets.py.

Referenced by generate_packets.Field.get_cmp(), generate_packets.Field.get_fill(), generate_packets.Field.get_get_real(), generate_packets.Field.get_get_wrapper(), generate_packets.Field.get_put_real(), and generate_packets.Field.get_put_wrapper().

## ◆ is_struct

generate_packets.Field.is_struct

Definition at line 209 of file generate_packets.py.

Referenced by generate_packets.Field.get_cmp(), generate_packets.Field.get_get_real(), and generate_packets.Field.get_put_real().

## ◆ struct_type

generate_packets.Field.struct_type

Definition at line 313 of file generate_packets.py.

Referenced by generate_packets.Field.get_get_real(), generate_packets.Field.get_get_wrapper(), generate_packets.Field.get_put_real(), and generate_packets.Field.get_put_wrapper().